Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.evaluations.contributor_metrics.list(
evaluation_id="evaluation_id",
)
page = page.items[0]
print(page.annotated_by_user_id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Evaluations.ContributorMetrics.List(
context.TODO(),
"evaluation_id",
sgp.EvaluationContributorMetricListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}curl --request GET \
--url https://api.egp.scale.com/v4/evaluations/{evaluation_id}/contributor-metricsconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/evaluations/{evaluation_id}/contributor-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"evaluation_id": "<string>",
"annotated_by_user_id": "<string>",
"total_num_test_cases_labeled": 123,
"num_test_cases_fixed": 123,
"percentage_test_cases_fixed": 123,
"total_time_spent_labeling_sec": 123,
"avg_time_spent_labeling_sec": 123
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluations
List Contributor Metrics
GET
/
v4
/
evaluations
/
{evaluation_id}
/
contributor-metrics
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.evaluations.contributor_metrics.list(
evaluation_id="evaluation_id",
)
page = page.items[0]
print(page.annotated_by_user_id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Evaluations.ContributorMetrics.List(
context.TODO(),
"evaluation_id",
sgp.EvaluationContributorMetricListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}Path Parameters
Query Parameters
Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response
⌘I

